Bug 16297 - anaconda crash during kickstart NFS install of a "Web Server"...
anaconda crash during kickstart NFS install of a "Web Server"...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-15 17:23 EDT by John Cagle
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 16:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full Anaconda dump (23.01 KB, text/plain)
2000-08-15 17:24 EDT, John Cagle
no flags Details

  None (edit)
Description John Cagle 2000-08-15 17:23:37 EDT
Here's an anaconda crash that happened during a net install of a "Web Server":

Traceback (innermost last):
  File "/usr/bin/anaconda", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1028, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 507, in __call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1397, in doInstall
    self.getCompsList()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 535, in getCompsList
    self.updateInstClassComps()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 553, in updateInstClassComps
    self.comps[n].select()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/comps.py", line 262, in __getitem__
    return self.compsDict[key]
KeyError: GNOME Workstation

Local variables in innermost frame:

self: { Base [ MAKEDEV SysVinit anacron apmd ash at authconfig basesystem bash bc bdflush bzip2 chkconfig .... ] }
[THE REST OF self DELETED - SEE BUGZILLA ATTACHMENT FOR FULL DETAILS]

key: GNOME Workstation

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
[THE REST DELETED - SEE BUGZILLA ATTACHMENT FOR FULL DETAILS]
Comment 1 John Cagle 2000-08-15 17:24:24 EDT
Created attachment 2522 [details]
Full Anaconda dump
Comment 2 Michael Fulbright 2000-08-16 12:41:31 EDT
Was this an NFS, FTP, or HTTP install?

What options did you choose in the installer - Workstation, Server, or Custom?

I have not seen this issue before - could you retry and see if it works?
Comment 3 John Cagle 2000-08-16 14:08:05 EDT
This was a kickstarted NFS installation from an RC1
tree that has the update.img applied.  (Sorry, it
was not a GUI install.)

Here's the kickstart file:

lang en_US
network --bootproto dhcp
nfs --server 192.168.1.22 --dir /home/ftp/redhat
keyboard "us"
zerombr yes
clearpart --linux
part / --size 1024 --grow
part /boot --size 16
part swap --size 64
install
mouse genericps/2 --emulthree
timezone America/Chicago
xconfig --server "SVGA" --monitor "generic monitor"
rootpw password
auth --useshadow --enablemd5
lilo --location partition
reboot
%packages
@Web Server
@GNOME Workstation
@Development
%post
/sbin/lilo -R dos
Comment 4 John Cagle 2000-08-16 14:13:23 EDT
BTW, we've seen this three times in a row - that is, the same process on three 
different systems.  We also double checked that the boot disk code came from 
the RC1 CD.
Comment 5 Erik Troan 2000-08-16 15:56:56 EDT
"GNOME Workstation" isn't a proper component, so kickstart doesn't recognize it.
Just "GNOME"
will work. Fwiw, the standard "GNOME Workstation" install includes just the
"GNOME" component.
Comment 6 John Cagle 2000-08-17 16:26:18 EDT
Thanks!  That seems to work.  FWIW, "GNOME Workstation" worked on
beta 5, so something changed in RC1...

Note You need to log in before you can comment on or make changes to this bug.